Subject: RFC 4140 (HMIPv6)

From: Alfred Hönes <[email-masked]>
Date: Wed, 14 Sep 2005 10:24:07 +0200 (MESZ)

Hello,

after reading the recently published RFC 4140 (HMIPv6) authored
by you, I'd like to submit some comments.

These might be useful for you in proparation of any future
update (promotion onto the Standards Track) of HMIPv6 and/or
consideration for an RFC Errata note -- at your will.

1.)  There are a couple of issues with the citiations given
     in Appendix A, on pp. 24-27 :

1.1) I suspect that the repeated occourrences of "[5]" should
     in fact be "[4]" (the Fast Handover RFC 4068).

1.2) The final phrase at the bottom of page 26 should obviously
     refer to RFC 4067 (CXTP) instead of a "work in progress"
     (add appropriate ref to section 14.2.!)

1.3) The citations "[6]" on page 27 apparently make no sense --
     SEND does not update RFC 4068.  I suspect a reference to
     some "work in progress" would have been appropriate.

2.)  Minor typos and proposed textual improvements

2.1) On p.8, in line 5 (i.e. the end of section 4.1.):
     instead of "introduced in future" the text might perhaps
     better say: "introduced in the future".

2.2) On p. 14, in the bottom line (at the end of section 7.1.),
     the final "." is missing.

2.3) On p. 16, in the 2nd-to-last paragraph of section 7.2.,
     The phrase "RCoA is then bound to ..." should perhaps better
     say: "The RCoA is then bound to ...".

2.4) On page 19, in the final line of section 9.2., the word
     "movement" is mis-spelled "u0movement".

2.5) On page 20, in the enumerated list at the end of section 12.,
     I propose to remove the "The" in all 3 items, aligning with
     the titles of the subsequent sections 12.1. - 12.3.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+